profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/maxbachmann/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.

maxbachmann/RapidFuzz 800

Rapid fuzzy string matching in Python using the Levenshtein Distance

maxbachmann/rapidfuzz-cpp 24

Rapid fuzzy string matching in C++ using the Levenshtein Distance

maxbachmann/lektor-SCSScompile 4

compiles scss and sass for Lektor based on libsass-python

ffbsee/ffbsee-webseite 3

Die Webseite der Freifunk Initiative Freifunk Bodensee

maxbachmann-ansible/role-firefox 1

setup firefox with ansible

maxbachmann-university/ComplexNumberShell 1

Shell for calculations with complex numbers

startedblaues0cke/PiDelayedAuditoryFeedback

started time in a minute

issue commentrhasspy/rhasspy

missing dependencies in Docker File

I thought this could explain why I cannot get my audio playback to work using latest stable docker image (2.5.9) but after installing these I still don't get it to work. It will always use the hdmi as output for aplay and the bluetooth headset doesn't show. Using Pulse gives

[DEBUG:2021-03-07 03:24:17,987] rhasspyspeakers_cli_hermes: ['aplay', '-q', '-t', 'wav', '-D', 'pulse']
ALSA lib pulse.c:243:(pulse_connect) PulseAudio: Unable to connect: Connection refused

aplay: main:828: audio open error: Connection refused
[ERROR:2021-03-07 03:24:18,072] rhasspyspeakers_cli_hermes: handle_play
Traceback (most recent call last):
  File "/usr/lib/rhasspy/rhasspy-speakers-cli-hermes/rhasspyspeakers_cli_hermes/__init__.py", line 80, in handle_play
    subprocess.run(self.play_command, input=wav_bytes, check=True)
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['aplay', '-q', '-t', 'wav', '-D', 'pulse']' returned non-zero exit status 1.

Which I can imagine being a follow up issue of

[DEBUG:2021-03-07 03:35:19,518] rhasspyserver_hermes: Starting core
[DEBUG:2021-03-07 03:35:19,531] rhasspyserver_hermes: Connecting to localhost:12183 (retries: 0/10)
[ERROR:2021-03-07 03:35:19,540] rhasspyserver_hermes: mqtt connect
Traceback (most recent call last):
  File "/usr/lib/rhasspy/rhasspy-server-hermes/rhasspyserver_hermes/__init__.py", line 289, in start
    self.client.connect(self.host, self.port)
  File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/paho/mqtt/client.py", line 937, in connect
    return self.reconnect()
  File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/paho/mqtt/client.py", line 1071, in reconnect
    sock = self._create_socket_connection()
  File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/paho/mqtt/client.py", line 3522, in _create_socket_connection
    return socket.create_connection(addr, source_address=source, timeout=self._keepalive)
  File "/usr/lib/python3.7/socket.py", line 727, in create_connection
    raise err
  File "/usr/lib/python3.7/socket.py", line 716, in create_connection
    sock.connect(sa)
OSError: [Errno 99] Cannot assign requested address
2021-03-07 03:35:19,581 CRIT Supervisor is running as root.  Privileges were not dropped because no user is specified in the config file.  If you intend to run as root, you can set user=root in the config file to avoid this message.
2021-03-07 03:35:19,588 INFO supervisord started with pid 174
[DEBUG:2021-03-07 03:35:20,559] rhasspyserver_hermes: Connecting to localhost:12183 (retries: 1/10)
[ERROR:2021-03-07 03:35:20,562] rhasspyserver_hermes: mqtt connect
Traceback (most recent call last):
  File "/usr/lib/rhasspy/rhasspy-server-hermes/rhasspyserver_hermes/__init__.py", line 289, in start
    self.client.connect(self.host, self.port)
  File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/paho/mqtt/client.py", line 937, in connect
    return self.reconnect()
  File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/paho/mqtt/client.py", line 1071, in reconnect
    sock = self._create_socket_connection()
  File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/paho/mqtt/client.py", line 3522, in _create_socket_connection
    return socket.create_connection(addr, source_address=source, timeout=self._keepalive)
  File "/usr/lib/python3.7/socket.py", line 727, in create_connection
    raise err
  File "/usr/lib/python3.7/socket.py", line 716, in create_connection
    sock.connect(sa)
OSError: [Errno 99] Cannot assign requested address
2021-03-07 03:35:20,596 INFO spawned: 'mqtt' with pid 587

I basically did a fresh install of Rapberry Pi OS on my 4B then installed docker and ran this 2.5.9 image. here is what I did so far).

volker67

comment created time in 9 hours

issue commentrhasspy/rhasspy

missing dependencies in Docker File

confirmed

pi@raspberrypi:~ $ docker exec -i rhasspy /usr/lib/rhasspy/rhasspy-speakers-cli-hermes/bin/rhasspy-speakers-cli-hermes -h
Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 183, in _run_module_as_main
    mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  File "/usr/lib/python3.7/runpy.py", line 142, in _get_module_details
    return _get_module_details(pkg_main_name, error)
  File "/usr/lib/python3.7/runpy.py", line 109, in _get_module_details
    __import__(pkg_name)
  File "/usr/lib/rhasspy/rhasspy-speakers-cli-hermes/rhasspyspeakers_cli_hermes/__init__.py", line 11, in <module>
    import wavchunk
ModuleNotFoundError: No module named 'wavchunk'



pi@raspberrypi:~ $ docker exec -i rhasspy /usr/lib/rhasspy/rhasspy-speakers-cli-hermes/bin/rhasspy-speakers-cli-hermes -h
Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 183, in _run_module_as_main
    mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  File "/usr/lib/python3.7/runpy.py", line 142, in _get_module_details
    return _get_module_details(pkg_main_name, error)
  File "/usr/lib/python3.7/runpy.py", line 109, in _get_module_details
    __import__(pkg_name)
  File "/usr/lib/rhasspy/rhasspy-speakers-cli-hermes/rhasspyspeakers_cli_hermes/__init__.py", line 11, in <module>
    import wavchunk
ModuleNotFoundError: No module named 'wavchunk'
pi@raspberrypi:~ $ 
pi@raspberrypi:~ $ docker exec ^C
pi@raspberrypi:~ $ docker exec -i rhasspy pip3 install wheel
Collecting wheel
  Downloading https://files.pythonhosted.org/packages/65/63/39d04c74222770ed1589c0eaba06c05891801219272420b40311cd60c880/wheel-0.36.2-py2.py3-none-any.whl
Installing collected packages: wheel
Successfully installed wheel-0.36.2
pi@raspberrypi:~ $ docker exec -i rhasspy pip3 install wavchunk
Collecting wavchunk
  Downloading https://files.pythonhosted.org/packages/0c/ab/8cae43190606eb0c0e319e5949c4da83336f8ce2dc53cfd3ccec258e827b/wavchunk-1.0.1.tar.gz
Building wheels for collected packages: wavchunk
  Running setup.py bdist_wheel for wavchunk: started
  Running setup.py bdist_wheel for wavchunk: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/df/3d/ab/c6a7f937eaa83e549c5d916fb702689cb82336bcc3f46d340a
Successfully built wavchunk
Installing collected packages: wavchunk
Successfully installed wavchunk-1.0.1
pi@raspberrypi:~ $ docker exec rhasspy pip3 install rhasspy-hermes
Collecting rhasspy-hermes
  Downloading https://files.pythonhosted.org/packages/8d/ac/14c762bfc75f34054b8394028184b3c87640cd0fa3ceeccaeef6f16f3fa8/rhasspy-hermes-0.6.0.tar.gz
Collecting dataclasses-json==0.4.2 (from rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/84/a2/d33e29e37146f6a8a18a0975e13c6acb9439d6a8698d406ca8a5c736f302/dataclasses_json-0.4.2-py3-none-any.whl
Collecting paho-mqtt==1.5.0 (from rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/59/11/1dd5c70f0f27a88a3a05772cd95f6087ac479fac66d9c7752ee5e16ddbbc/paho-mqtt-1.5.0.tar.gz (99kB)
Collecting marshmallow-enum<2.0.0,>=1.5.1 (from dataclasses-json==0.4.2->rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/c6/59/ef3a3dc499be447098d4a89399beb869f813fee1b5a57d5d79dee2c1bf51/marshmallow_enum-1.5.1-py2.py3-none-any.whl
Collecting stringcase<2.0.0,==1.2.0 (from dataclasses-json==0.4.2->rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/f3/1f/1241aa3d66e8dc1612427b17885f5fcd9c9ee3079fc0d28e9a3aeeb36fa3/stringcase-1.2.0.tar.gz
Collecting typing-inspect>=0.4.0 (from dataclasses-json==0.4.2->rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/42/1c/66402db44184904a2f14722d317a4da0b5c8c78acfc3faf74362566635c5/typing_inspect-0.6.0-py3-none-any.whl
Collecting marshmallow<4.0.0,>=3.3.0 (from dataclasses-json==0.4.2->rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/eb/5c/d43fa372e77df6e9783a8e5f29c3cccf27b1f83f3b84d571a22a58509147/marshmallow-3.10.0-py2.py3-none-any.whl (46kB)
Collecting mypy-extensions>=0.3.0 (from typing-inspect>=0.4.0->dataclasses-json==0.4.2->rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/5c/eb/975c7c080f3223a5cdaff09612f3a5221e4ba534f7039db34c35d95fa6a5/mypy_extensions-0.4.3-py2.py3-none-any.whl
Collecting typing-extensions>=3.7.4 (from typing-inspect>=0.4.0->dataclasses-json==0.4.2->rhasspy-hermes)
  Downloading https://files.pythonhosted.org/packages/60/7a/e881b5abb54db0e6e671ab088d079c57ce54e8a01a3ca443f561ccadb37e/typing_extensions-3.7.4.3-py3-none-any.whl
Building wheels for collected packages: rhasspy-hermes, paho-mqtt, stringcase
  Running setup.py bdist_wheel for rhasspy-hermes: started
  Running setup.py bdist_wheel for rhasspy-hermes: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/2e/56/93/b48eb136f9c2da083c03c3143413b040428924e6e586cde8c7
  Running setup.py bdist_wheel for paho-mqtt: started
  Running setup.py bdist_wheel for paho-mqtt: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/02/94/6c/8474137cb7a5a3e001d70a22c8ff919caee69435376bccce79
  Running setup.py bdist_wheel for stringcase: started
  Running setup.py bdist_wheel for stringcase: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/a0/16/a0/16e2c81dbd47503b5a35583dfabde5a93b4cf98dbf0033dad5
Successfully built rhasspy-hermes paho-mqtt stringcase
Installing collected packages: marshmallow, marshmallow-enum, stringcase, mypy-extensions, typing-extensions, typing-inspect, dataclasses-json, paho-mqtt, rhasspy-hermes
Successfully installed dataclasses-json-0.4.2 marshmallow-3.10.0 marshmallow-enum-1.5.1 mypy-extensions-0.4.3 paho-mqtt-1.5.0 rhasspy-hermes-0.6.0 stringcase-1.2.0 typing-extensions-3.7.4.3 typing-inspect-0.6.0
pi@raspberrypi:~ $ docker exec rhasspy /usr/lib/rhasspy/rhasspy-speakers-cli-hermes/bin/rhasspy-speakers-cli-hermes -h
usage: rhasspy-speakers-cli-hermes [-h] --play-command PLAY_COMMAND
                                   [--list-command LIST_COMMAND]
                                   [--volume VOLUME] [--host HOST]
                                   [--port PORT] [--username USERNAME]
                                   [--password PASSWORD] [--tls]
                                   [--tls-ca-certs TLS_CA_CERTS]
                                   [--tls-certfile TLS_CERTFILE]
                                   [--tls-keyfile TLS_KEYFILE]
                                   [--tls-cert-reqs {CERT_REQUIRED,CERT_OPTIONAL,CERT_NONE}]
                                   [--tls-version TLS_VERSION]
                                   [--tls-ciphers TLS_CIPHERS]
                                   [--site-id SITE_ID] [--debug]
                                   [--log-format LOG_FORMAT]

optional arguments:
  -h, --help            show this help message and exit
  --play-command PLAY_COMMAND
                        Command to play WAV data from stdin
  --list-command LIST_COMMAND
                        Command to list available output devices
  --volume VOLUME       Volume scale to apply to all audio
  --host HOST           MQTT host (default: localhost)
  --port PORT           MQTT port (default: 1883)
  --username USERNAME   MQTT username
  --password PASSWORD   MQTT password
  --tls                 Enable MQTT TLS
  --tls-ca-certs TLS_CA_CERTS
                        MQTT TLS Certificate Authority certificate files
  --tls-certfile TLS_CERTFILE
                        MQTT TLS client certificate file (PEM)
  --tls-keyfile TLS_KEYFILE
                        MQTT TLS client key file (PEM)
  --tls-cert-reqs {CERT_REQUIRED,CERT_OPTIONAL,CERT_NONE}
                        MQTT TLS certificate requirements for broker (default:
                        CERT_REQUIRED)
  --tls-version TLS_VERSION
                        MQTT TLS version (default: highest)
  --tls-ciphers TLS_CIPHERS
                        MQTT TLS ciphers to use
  --site-id SITE_ID     Hermes site id(s) to listen for (default: all)
  --debug               Print DEBUG messages to the console
  --log-format LOG_FORMAT
                        Python logger format

I

volker67

comment created time in 9 hours

startedmaxbachmann/RapidFuzz

started time in a day

PR opened rhasspy/rhasspy

docs tutorial satellite config added docker port argument

without the docker run -p argument, the satellite will not be accessible for configuration from a remote address.

+2 -2

0 comment

1 changed file

pr created time in a day

startedtheKashey/react-focus-lock

started time in 2 days

created repositoryrhasspy/glow-tts-train

An implementation of GlowTTS designed to work with Gruut

created time in 2 days

issue openedmaxbachmann/RapidFuzz

Add support to release aarch64 wheels

Problem

On aarch64, pip install RapidFuzz builds the wheels from source code and then install it. It requires user to have development environment installed on his system. also, it take some time to build the wheels than downloading and extracting the wheels from pypi.

Resolution

On aarch64, pip install RapidFuzz should download the wheels from pypi

@maxbachmann , please let me know your interest on releasing aarch64 wheels. I can help in this.

created time in 2 days

fork odidev/RapidFuzz

Rapid fuzzy string matching in Python using the Levenshtein Distance

https://maxbachmann.github.io/RapidFuzz/

fork in 2 days

issue openedrhasspy/rhasspy

Audio Output: Remote - Invalid start byte

I am using Rhasspy for quite some time now in combination with HomeAssistant and I am quite happy with it. I tried using a satelite only for audio output. The base system is a NUC, the satelite is a Pi 3. I get the following error, when the base system plays the WAV on the satelite via Remote HTTP: [ERROR:2021-03-05 08:16:41,151] rhasspyserver_hermes: 'utf-8' codec can't decode byte 0x80 in position 24: invalid start byte Traceback (most recent call last): File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/quart/app.py", line 1821, in full_dispatch_request result = await self.dispatch_request(request_context) File "/usr/lib/rhasspy/.venv/lib/python3.7/site-packages/quart/app.py", line 1869, in dispatch_request return await handler(**request_.view_args) File "/usr/lib/rhasspy/rhasspy-server-hermes/rhasspyserver_hermes/main.py", line 1129, in api_play_wav url_or_path = data.decode() UnicodeDecodeError: 'utf-8' codec can't decode byte 0x80 in position 24: invalid start byte

On a sidenode concerning the data sent over the network: Would it be possible to use TTS and Audio directly on the same station? This might be a feature request, but for me it makes sense to rather send the words to the satelite and have it TTS + audio output on the same machine than have it TTS on another machine where it sends the audio in WAV form.

Keep up the good work ye all!

created time in 2 days

startedmaxbachmann/RapidFuzz

started time in 2 days

startedmaxbachmann/RapidFuzz

started time in 3 days

created repositoryrhasspy/bemused_client

Streaming TFLite keyword detector

created time in 3 days

fork Cadcorp/rapidfuzz-cpp

Rapid fuzzy string matching in C++ using the Levenshtein Distance

https://maxbachmann.github.io/RapidFuzz/

fork in 3 days

fork dish59742/RapidFuzz

Rapid fuzzy string matching in Python using the Levenshtein Distance

https://maxbachmann.github.io/RapidFuzz/

fork in 3 days

startedstdevel/diy-voice-assistant

started time in 4 days

pull request commentconda-forge/rapidfuzz-feedstock

rapidfuzz v1.1.2

Hi! This is the friendly automated conda-forge-linting service.

I just wanted to let you know that I linted all conda-recipes in your PR (recipe) and found it was in an excellent condition.

regro-cf-autotick-bot

comment created time in 4 days

PR opened conda-forge/rapidfuzz-feedstock

rapidfuzz v1.1.2

It is very likely that the current package version for this feedstock is out of date. Notes for merging this PR:

  1. Feel free to push to the bot's branch to update this PR if needed.
  2. The bot will almost always only open one PR per version. Checklist before merging this PR:
  • [ ] Dependencies have been updated if changed: see upstream
  • [ ] Tests have passed
  • [ ] Updated license if changed and license_file is packaged

Note that the bot will stop issuing PRs if more than 3 Version bump PRs generated by the bot are open. If you don't want to package a particular version please close the PR.

NEW: If you want these PRs to be merged automatically, make an issue with <code>@conda-forge-admin,</code>please add bot automerge in the title and merge the resulting PR. This command will add our new bot automerge feature to your feedstock!

If this PR was opened in error or needs to be updated please add the bot-rerun label to this PR. The bot will close this PR and schedule another one. If you do not have permissions to add this label, you can use the phrase <code>@<space/>conda-forge-admin, please rerun bot</code> in a PR comment to have the conda-forge-admin add it for you.

<sub>This PR was created by the regro-cf-autotick-bot. The regro-cf-autotick-bot is a service to automatically track the dependency graph, migrate packages, and propose package version updates for conda-forge. If you would like a local version of this bot, you might consider using rever. Rever is a tool for automating software releases and forms the backbone of the bot's conda-forge PRing capability. Rever is both conda (conda install -c conda-forge rever) and pip (pip install re-ver) installable. Finally, feel free to drop us a line if there are any issues! This PR was generated by https://github.com/regro/autotick-bot/actions/runs/618351579, please use this URL for debugging</sub>

Dependency Analysis

Please note that this analysis is highly experimental. The aim here is to make maintenance easier by inspecting the package's dependencies. Importantly this analysis does not support optional dependencies, please double check those before making changes. If you do not want hinting of this kind ever please add bot: inspection: false to your conda-forge.yml. If you encounter issues with this feature please ping the bot team conda-forge/bot.

Analysis of the source code shows no discrepancy between the library's imports and the package's stated requirements in the meta.yaml.

+77 -27

0 comment

7 changed files

pr created time in 4 days

issue openedmaxbachmann/RapidFuzz

Bug when using pandas series as fyzzu matching list

Hello, I have a very weird and specific bug happening with rapidfuzz 1.1.1 (doesn't happen in 0.13.0) Rapidfuzz crashes in that precise situation:

import rapidfuzz
import pandas as pd
matches = rapidfuzz.process.extract(
    "test",
    pd.Series(['test color brightness', 'test lemon', 'test lavender'], index=[67478, 67479, 67480]),
)
  • If i convert the pandas Series to a list it works
  • If I use default Series indexing it works

The bug seems to happen only in that very specific case. Also if I use "test test" as input my notebook kernel directly dies.

Do you know where it comes from? See below the traceback when I get to see it:

KeyError Traceback (most recent call last) ~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance) 2897 try: -> 2898 return self._engine.get_loc(casted_key) 2899 except KeyError as err:

pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas/_libs/index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas/_libs/index_class_helper.pxi in pandas._libs.index.Int64Engine._check_type()

KeyError: <pandas._libs.hashtable.Int64HashTable object at 0x7f28586fe2f0>

The above exception was the direct cause of the following exception:

KeyError Traceback (most recent call last) <ipython-input-3-4d95beb2db19> in <module> 3 matches = rapidfuzz.process.extract( 4 "test", ----> 5 pd.Series(['test color brightness', 'test lemon', 'test lavender'], index=[67478, 67479, 67480]), 6 ) 7 matches

src/cpp_process.pyx in cpp_process.extract()

src/cpp_process.pyx in cpp_process.extract_dict()

~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/series.py in getitem(self, key) 904 return self._get_values(key) 905 --> 906 return self._get_with(key) 907 908 def _get_with(self, key):

~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/series.py in _get_with(self, key) 923 elif not is_list_like(key): 924 # e.g. scalars that aren't recognized by lib.is_scalar, GH#32684 --> 925 return self.loc[key] 926 927 if not isinstance(key, (list, np.ndarray, ExtensionArray, Series, Index)):

~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/indexing.py in getitem(self, key) 877 878 maybe_callable = com.apply_if_callable(key, self.obj) --> 879 return self._getitem_axis(maybe_callable, axis=axis) 880 881 def _is_scalar_access(self, key: Tuple):

~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/indexing.py in _getitem_axis(self, key, axis) 1108 # fall thru to straight lookup 1109 self._validate_key(key, axis) -> 1110 return self._get_label(key, axis=axis) 1111 1112 def _get_slice_axis(self, slice_obj: slice, axis: int):

~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/indexing.py in _get_label(self, label, axis) 1057 def _get_label(self, label, axis: int): 1058 # GH#5667 this will fail if the label is not present in the axis. -> 1059 return self.obj.xs(label, axis=axis) 1060 1061 def _handle_lowerdim_multi_index_axis0(self, tup: Tuple):

~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/generic.py in xs(self, key, axis, level, drop_level) 3491 loc, new_index = self.index.get_loc_level(key, drop_level=drop_level) 3492 else: -> 3493 loc = self.index.get_loc(key) 3494 3495 if isinstance(loc, np.ndarray):

~/data-perrierh/src/asu-ds/venv-ds/lib/python3.6/site-packages/pandas/core/indexes/base.py in get_loc(self, key, method, tolerance) 2898 return self._engine.get_loc(casted_key) 2899 except KeyError as err: -> 2900 raise KeyError(key) from err 2901 2902 if tolerance is not None:

KeyError: <pandas._libs.hashtable.Int64HashTable object at 0x7f28586fe2f0>

created time in 4 days

startedmaxbachmann/RapidFuzz

started time in 4 days

startedmaxbachmann/RapidFuzz

started time in 5 days

startedmaxbachmann/RapidFuzz

started time in 5 days

startedzalmoxisus/remote-redux-devtools

started time in 5 days

created repositoryaul12/Zusammenfassung-Systemtheorie

Zusammenfassung zur Vorlesung "Systemtheorie" an der Uni Ulm.

created time in 5 days

startedbillmalarky/react-native-image-cache-hoc

started time in 5 days

startedmaxbachmann/RapidFuzz

started time in 5 days

startedcodecentric/gopass-ui

started time in 6 days

startedmaxbachmann/RapidFuzz

started time in 6 days

issue commentmaxbachmann/RapidFuzz

suggestion: many to many match

I'll keep tweaking what i have so far and see what you come up with in subsequent releases ;)

good luck and let me know if there's anything i can do to help test if you need.

its-grape-juice

comment created time in 7 days

startedlawrence-iviani/lisa

started time in 7 days